Skip to navigation

Create a badge

View as Markdown

Create a directory badge. The image is given either as base64 in image or as the URL returned by the files upload endpoint in imageUrl; one of the two is required.

Authentication

AuthorizationToken

Your API key, sent as Authorization: Token <your API key>

Path parameters

directoryIdstringRequiredformat: "uuid"

Request

This endpoint expects an object.
titlestringRequired1-100 characters
imagestringOptionalformat: "binary"
imageUrlstringOptionalformat: "uri">=1 character

Response

Successful operation
hrefstringRead-only
titlestring<=100 characters
imagestring or null
idstringformat: "uuid"
imageUrlstring or nullOptionalformat: "uri"

Errors

400
Bad Request Error
404
Not Found Error
500
Internal Server Error